Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Newcomers » Newcomers » Plugin development in eclipse(The type org.eclipse.e4.ui.workbench.IWorkbench cannot be resolved. It is indirectly referenced from required .class files)
Plugin development in eclipse [message #1835526] Sat, 05 December 2020 19:51 Go to next message
Priya Kumari is currently offline Priya KumariFriend
Messages: 7
Registered: March 2020
Junior Member
I am compiling my java code on newer eclipse 2020-06 and using Java 8. There were few deprecated interfaces which i had removed and now I am getting below error :

The type org.eclipse.e4.ui.workbench.IWorkbench cannot be resolved. It is indirectly referenced from required .class files

tried adding few jar files but that did not helped. Below are jar files :

1. org.eclipse.e4.ui.workbench-1.4.0.jar
2. org.eclipse.ui.workbench_3.117.0.v20191126-1131.jar
3. org.eclipse.e4.ui.workbench.swt_0.14.800.v20190930-1643.jar

Can anyone suggest what can be done in this case and what is meaning is "It is indirectly referenced from required .class files" .

Re: Plugin development in eclipse [message #1835532 is a reply to message #1835526] Sun, 06 December 2020 05:17 Go to previous messageGo to next message
Ed Merks is currently offline Ed MerksFriend
Messages: 31702
Registered: July 2009
Senior Member
I assume you are building a plugin and that you need to edit the MANIFEST.MF to add dependencies., but it sounds like maybe you are adding jars directly to the classpath...

The org.eclipse.e4.ui.workbench bundle contains org.eclipse.e4.ui.workbench.IWorkbench , but your jar name looks weird (and very old), so I have to wonder why you even care about and know the jar name...


Ed Merks
Professional Support: https://www.macromodeling.com/
Re: Plugin development in eclipse [message #1835564 is a reply to message #1835532] Mon, 07 December 2020 05:49 Go to previous message
Priya Kumari is currently offline Priya KumariFriend
Messages: 7
Registered: March 2020
Junior Member
I also tried adding in MANIFEST.MF and these were the option available and tried the 1st one but it didnot resolve my issue.
Previous Topic:crash caused by insufficient cache
Next Topic:Running the wrong version of Java
Goto Forum:
  


Current Time: Tue Jan 19 22:30:05 GMT 2021

Powered by FUDForum. Page generated in 0.02257 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top